Next Previous Contents

## 2. Usage

## 2.1 Command line option overview

The assembler accepts the following options:

> `

>     ---------------------------------------------------------------------------
>     Usage: da65 [options] [inputfile]
>     Short options:
>       -g                    Add debug info to object file
>       -h                    Help (this text)
>       -i name               Specify an info file
>       -o name               Name the output file
>       -v                    Increase verbosity
>       -F                    Add formfeeds to the output
>       -S addr               Set the start/load address
>       -V                    Print the disassembler version

>     Long options:
>       --argument-column n   Specify argument start column
>       --comment-column n    Specify comment start column
>       --comments n          Set the comment level for the output
>       --cpu type            Set cpu type
>       --debug-info          Add debug info to object file
>       --formfeeds           Add formfeeds to the output
>       --help                Help (this text)
>       --hexoffs             Use hexadecimal label offsets
>       --info name           Specify an info file
>       --label-break n       Add newline if label exceeds length n
>       --mnemonic-column n   Specify mnemonic start column
>       --pagelength n        Set the page length for the listing
>       --start-addr addr     Set the start/load address
>       --text-column n       Specify text start column
>       --verbose             Increase verbosity
>       --version             Print the disassembler version
>     ---------------------------------------------------------------------------

> `

## 2.2 Command line options in detail

Here is a description of all the command line options:

`--argument-column n`

  Specifies the column where the argument for a mnemonic or pseudo instruction starts.

`--comment-column n`

  Specifies the column where the comment for an instruction starts.

`--comments n`

  Set the comment level for the output. Valid arguments are 0..4. Greater values will increase the level of additional information written to the output file in form of comments.

`--cpu type`

  Set the CPU type. The option takes a parameter, which may be one of

  6502, 65SC02, 65C02

  Support for the 65816 is currently not available.

`-F, --formfeeds`

  Add formfeeds to the generated output. This feature is useful together with the `--pagelength` option. If `--formfeeds` is given, a formfeed is added to the output after each page.

`-g, --debug-info`

  This option adds the `.DEBUGINFO` command to the output file, so the assembler will generate debug information when reassembling the generated output.

`-h, --help`

  Print the short option summary shown above.

`-i name, --info name`

  Specify an info file. The info file contains global options that may override or replace command line options plus informations about the code that has to be disassembled. See the separate section Info File Format.

`-o name`

  Specify a name for an output file. The default is to use `stdout`, so without this switch or the corresponding global option `OUTPUTNAME`, the output will go to the terminal.

`--label-break n`

  Adds a newline if the length of a label exceeds the given length. Note: If the label would run into the code in the mid column, a linefeed is always inserted regardless of this setting.

  This option overrides the global option `LABELBREAK`.

`--mnemonic-column n`

  Specifies the column where a mnemonic or pseudo instrcuction is output.

`--pagelength n`

  Sets the length of a listing page in lines. After this number of lines, a new page header is generated. If the `--formfeeds` is also given, a formfeed is inserted before generating the page header.

  A value of zero for the page length will disable paging of the output.

`-S addr, --start-addr addr`

  Specify the start/load address of the binary code that is going to be disassembled. The given address is interpreted as an octal value if preceded with a '0' digit, as a hexadecimal value if preceded with '0x', '0X', or '$', and as a decimal value in all other cases. If no start address is specified, $10000 minus the size of the input file is used.

`--text-column n`

  Specifies the column where additional text is output. This additional text consists of the bytes encoded in this line in text representation.

`-v, --verbose`

  Increase the disassembler verbosity. Usually only needed for debugging purposes. You may use this option more than one time for even more verbose output.

`-V, --version`

  Print the version number of the assembler. If you send any suggestions or bugfixes, please include the version number.

Next Previous Contents